Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 983586 - War distributions contain multiple versions of some artifacts in WEB-INF/lib
Summary: War distributions contain multiple versions of some artifacts in WEB-INF/lib
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: 6.0.0
Assignee: Ryan Zhang
QA Contact: Petr Široký
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-11 14:06 UTC by Petr Široký
Modified: 2014-08-06 20:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:09:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Široký 2013-07-11 14:06:01 UTC
Description of problem:
Both deployble and eap6 BPMS distributions contain few artifacts with multiple versions in WEB-INF/lib. See below for the complete list. I think we should make sure that only one version of each artifact is in WEB-INF/lib as in runtime only one of them will be loaded by JVM and its not defined which of them will it be.

Version-Release number of selected component (if applicable):
6.0.0-DR6


List of duplicated artifacts in 'bpms-6.0.0-*-deployable.zip/.../business-central.war/WEB-INF/lib':
 - freemarker (2.3.8 and 2.3.19)
 - javassist (3.12.1.GA and 3.15.0-GA)
 - netty (3.2.0.Final, 3.6.2.Final and 4.0.0.Alpha1.errai.r1)
 - servlet-api (2.5 and 2.5-20081211)
 - stax-api (1.0-2 and 1.0.1)


List of duplicated artifacts in 'bpms-6.0.0-*-eap6.zip/.../deployments/business-central.war/WEB-INF/lib':
 - freemarker (2.3.8 and 2.3.19)
 - javassist (3.12.1.GA and 3.15.0-GA)
 - stax-api (1.0-2 and 1.0.1)

Comment 1 Ryan Zhang 2013-08-28 05:36:44 UTC
All multiple version has been resolved except netty in deployable.zip.
I raised another bugzilla to track this more precisely.
See https://bugzilla.redhat.com/show_bug.cgi?id=1001906

Comment 2 Petr Široký 2013-08-31 17:31:03 UTC
Verified. Only two versions of netty are still present, but that is tracked by the issue Ryan created.


Note You need to log in before you can comment on or make changes to this bug.